# pip-requirements

Install requirements/dependencies specified in a pyproject.toml using pip.

## Features

- Installs required, optional and/or all dependencies.
- Detects and works with pip in installed in virtual environments.

## Quick Start

1. Install pip-requirements:

   ```shell
   pip install pip-requirements
   ```

2. Install dependencies of of your pyproject.toml:

   ```shell
   pip-requirements install path/to/pyproject.toml ":all:" "optional-name"
   ```

## Why

- This only exists because it's not builtin to pip.

- Using requirements.txt files is primitive and redundant compared to the expressiveness
  of pyproject.toml files..

We should have something like:

```shell
pip install --dependency=name --dependency=:all: path/to/pyproject.toml
```

Or:

```shell
pip requirements install path/to/pyproject.toml ":all:" "optional-name"
```


## Links

- [Source](https://hg.sr.ht/~metacompany/pip-requirements) (Source Hut)

